package com.sifang.modules.esign.query;

public class OrgSealAuthVo {

    private String action;      //标记该通知的业务类型

    private String sealId;    //印章ID（印章编号）

    private String sealAuthBizId;    //授权业务流程编号

    private String authStatus;    //授权状态 1 - 生效 ， 0 - 失效 ， 2 - 已删除，3 - 待生效

    private String authorizerOrgId;   //授权机构账号ID（委托单位）

    private String authorizedPsnId;    //被授权人账号ID（委托单位内成员）

    private String authorizedOrgId;    //被授权机构账号ID

    private Long effectiveTime;  //授权生效时间，Unix时间戳格式，单位毫秒。

    private Long expireTime;    //授权失效时间，Unix时间戳格式，单位毫秒。

    private String signFlowId;   //授权书签署流程ID，可通过【查询签署流程详情】接口查询签署流程详情信息。

    public String getAction() {
        return action;
    }

    public void setAction(String action) {
        this.action = action;
    }

    public String getSealId() {
        return sealId;
    }

    public void setSealId(String sealId) {
        this.sealId = sealId;
    }

    public String getSealAuthBizId() {
        return sealAuthBizId;
    }

    public void setSealAuthBizId(String sealAuthBizId) {
        this.sealAuthBizId = sealAuthBizId;
    }

    public String getAuthStatus() {
        return authStatus;
    }

    public void setAuthStatus(String authStatus) {
        this.authStatus = authStatus;
    }

    public String getAuthorizerOrgId() {
        return authorizerOrgId;
    }

    public void setAuthorizerOrgId(String authorizerOrgId) {
        this.authorizerOrgId = authorizerOrgId;
    }

    public String getAuthorizedPsnId() {
        return authorizedPsnId;
    }

    public void setAuthorizedPsnId(String authorizedPsnId) {
        this.authorizedPsnId = authorizedPsnId;
    }

    public String getAuthorizedOrgId() {
        return authorizedOrgId;
    }

    public void setAuthorizedOrgId(String authorizedOrgId) {
        this.authorizedOrgId = authorizedOrgId;
    }

    public Long getEffectiveTime() {
        return effectiveTime;
    }

    public void setEffectiveTime(Long effectiveTime) {
        this.effectiveTime = effectiveTime;
    }

    public Long getExpireTime() {
        return expireTime;
    }

    public void setExpireTime(Long expireTime) {
        this.expireTime = expireTime;
    }

    public String getSignFlowId() {
        return signFlowId;
    }

    public void setSignFlowId(String signFlowId) {
        this.signFlowId = signFlowId;
    }

    @Override
    public String toString() {
        return "OrgSealAuthVo{" +
                "action='" + action + '\'' +
                ", sealId='" + sealId + '\'' +
                ", sealAuthBizId='" + sealAuthBizId + '\'' +
                ", authStatus='" + authStatus + '\'' +
                ", authorizerOrgId='" + authorizerOrgId + '\'' +
                ", authorizedPsnId='" + authorizedPsnId + '\'' +
                ", authorizedOrgId='" + authorizedOrgId + '\'' +
                '}';
    }
}
